Skip to content
Permalink
Browse files

1.42.5

  • Loading branch information...
etpinard committed Nov 8, 2018
1 parent 7765061 commit 8fed2ccf74638456ed8f9a32676da1c86c09cfe6
@@ -51,7 +51,7 @@ object. This property must be set before the plotly.js script tag, for example:
Plotly.js defaults to US English (en-US) and includes British English (en) in the standard bundle.
Many other localizations are available - here is an example using Swiss-German (de-CH),
see the contents of this directory for the full list.
They are also available on our CDN as https://cdn.plot.ly/plotly-locale-de-ch-latest.js OR https://cdn.plot.ly/plotly-locale-de-ch-1.42.4.js
They are also available on our CDN as https://cdn.plot.ly/plotly-locale-de-ch-latest.js OR https://cdn.plot.ly/plotly-locale-de-ch-1.42.5.js
Note that the file names are all lowercase, even though the region is uppercase when you apply a locale.

*After* the plotly.js script tag, add:
@@ -74,12 +74,12 @@ The main plotly.js bundle includes all the official (non-beta) trace modules.

It be can imported as minified javascript
- using dist file `dist/plotly.min.js`
- using CDN URL https://cdn.plot.ly/plotly-latest.min.js OR https://cdn.plot.ly/plotly-1.42.4.min.js
- using CDN URL https://cdn.plot.ly/plotly-latest.min.js OR https://cdn.plot.ly/plotly-1.42.5.min.js

or as raw javascript:
- using the `plotly.js-dist` npm package (starting in `v1.39.0`)
- using dist file `dist/plotly.js`
- using CDN URL https://cdn.plot.ly/plotly-latest.js OR https://cdn.plot.ly/plotly-1.42.4.js
- using CDN URL https://cdn.plot.ly/plotly-latest.js OR https://cdn.plot.ly/plotly-1.42.5.js
- using CommonJS with `require('plotly.js')`

If you would like to have access to the attribute meta information (including attribute descriptions as on the [schema reference page](https://plot.ly/javascript/reference/)), use dist file `dist/plotly-with-meta.js`
@@ -119,8 +119,8 @@ The `basic` partial bundle contains trace modules `scatter`, `bar` and `pie`.
| ------ | --- |
| Latest | https://cdn.plot.ly/plotly-basic-latest.js |
| Latest minified | https://cdn.plot.ly/plotly-basic-latest.min.js |
| Tagged | https://cdn.plot.ly/plotly-basic-1.42.4.js |
| Tagged minified | https://cdn.plot.ly/plotly-basic-1.42.4.min.js |
| Tagged | https://cdn.plot.ly/plotly-basic-1.42.5.js |
| Tagged minified | https://cdn.plot.ly/plotly-basic-1.42.5.min.js |

#### npm package (starting in `v1.39.0`)

@@ -165,8 +165,8 @@ The `cartesian` partial bundle contains trace modules `scatter`, `bar`, `box`, `
| ------ | --- |
| Latest | https://cdn.plot.ly/plotly-cartesian-latest.js |
| Latest minified | https://cdn.plot.ly/plotly-cartesian-latest.min.js |
| Tagged | https://cdn.plot.ly/plotly-cartesian-1.42.4.js |
| Tagged minified | https://cdn.plot.ly/plotly-cartesian-1.42.4.min.js |
| Tagged | https://cdn.plot.ly/plotly-cartesian-1.42.5.js |
| Tagged minified | https://cdn.plot.ly/plotly-cartesian-1.42.5.min.js |

#### npm package (starting in `v1.39.0`)

@@ -211,8 +211,8 @@ The `geo` partial bundle contains trace modules `scatter`, `scattergeo` and `cho
| ------ | --- |
| Latest | https://cdn.plot.ly/plotly-geo-latest.js |
| Latest minified | https://cdn.plot.ly/plotly-geo-latest.min.js |
| Tagged | https://cdn.plot.ly/plotly-geo-1.42.4.js |
| Tagged minified | https://cdn.plot.ly/plotly-geo-1.42.4.min.js |
| Tagged | https://cdn.plot.ly/plotly-geo-1.42.5.js |
| Tagged minified | https://cdn.plot.ly/plotly-geo-1.42.5.min.js |

#### npm package (starting in `v1.39.0`)

@@ -257,8 +257,8 @@ The `gl3d` partial bundle contains trace modules `scatter`, `scatter3d`, `surfac
| ------ | --- |
| Latest | https://cdn.plot.ly/plotly-gl3d-latest.js |
| Latest minified | https://cdn.plot.ly/plotly-gl3d-latest.min.js |
| Tagged | https://cdn.plot.ly/plotly-gl3d-1.42.4.js |
| Tagged minified | https://cdn.plot.ly/plotly-gl3d-1.42.4.min.js |
| Tagged | https://cdn.plot.ly/plotly-gl3d-1.42.5.js |
| Tagged minified | https://cdn.plot.ly/plotly-gl3d-1.42.5.min.js |

#### npm package (starting in `v1.39.0`)

@@ -303,8 +303,8 @@ The `gl2d` partial bundle contains trace modules `scatter`, `scattergl`, `splom`
| ------ | --- |
| Latest | https://cdn.plot.ly/plotly-gl2d-latest.js |
| Latest minified | https://cdn.plot.ly/plotly-gl2d-latest.min.js |
| Tagged | https://cdn.plot.ly/plotly-gl2d-1.42.4.js |
| Tagged minified | https://cdn.plot.ly/plotly-gl2d-1.42.4.min.js |
| Tagged | https://cdn.plot.ly/plotly-gl2d-1.42.5.js |
| Tagged minified | https://cdn.plot.ly/plotly-gl2d-1.42.5.min.js |

#### npm package (starting in `v1.39.0`)

@@ -349,8 +349,8 @@ The `mapbox` partial bundle contains trace modules `scatter` and `scattermapbox`
| ------ | --- |
| Latest | https://cdn.plot.ly/plotly-mapbox-latest.js |
| Latest minified | https://cdn.plot.ly/plotly-mapbox-latest.min.js |
| Tagged | https://cdn.plot.ly/plotly-mapbox-1.42.4.js |
| Tagged minified | https://cdn.plot.ly/plotly-mapbox-1.42.4.min.js |
| Tagged | https://cdn.plot.ly/plotly-mapbox-1.42.5.js |
| Tagged minified | https://cdn.plot.ly/plotly-mapbox-1.42.5.min.js |

#### npm package (starting in `v1.39.0`)

@@ -395,8 +395,8 @@ The `finance` partial bundle contains trace modules `scatter`, `bar`, `histogram
| ------ | --- |
| Latest | https://cdn.plot.ly/plotly-finance-latest.js |
| Latest minified | https://cdn.plot.ly/plotly-finance-latest.min.js |
| Tagged | https://cdn.plot.ly/plotly-finance-1.42.4.js |
| Tagged minified | https://cdn.plot.ly/plotly-finance-1.42.4.min.js |
| Tagged | https://cdn.plot.ly/plotly-finance-1.42.5.js |
| Tagged minified | https://cdn.plot.ly/plotly-finance-1.42.5.min.js |

#### npm package (starting in `v1.39.0`)

@@ -1,5 +1,5 @@
/**
* plotly.js (basic) v1.42.4
* plotly.js (basic) v1.42.5
* Copyright 2012-2018, Plotly, Inc.
* All rights reserved.
* Licensed under the MIT license
'use strict';

// package version injected by `npm run preprocess`
exports.version = '1.42.4';
exports.version = '1.42.5';

// inject promise polyfill
_dereq_('es6-promise').polyfill();

Large diffs are not rendered by default.

@@ -1,5 +1,5 @@
/**
* plotly.js (cartesian) v1.42.4
* plotly.js (cartesian) v1.42.5
* Copyright 2012-2018, Plotly, Inc.
* All rights reserved.
* Licensed under the MIT license
'use strict';

// package version injected by `npm run preprocess`
exports.version = '1.42.4';
exports.version = '1.42.5';

// inject promise polyfill
_dereq_('es6-promise').polyfill();

Large diffs are not rendered by default.

@@ -1,5 +1,5 @@
/**
* plotly.js (finance) v1.42.4
* plotly.js (finance) v1.42.5
* Copyright 2012-2018, Plotly, Inc.
* All rights reserved.
* Licensed under the MIT license
'use strict';

// package version injected by `npm run preprocess`
exports.version = '1.42.4';
exports.version = '1.42.5';

// inject promise polyfill
_dereq_('es6-promise').polyfill();

Large diffs are not rendered by default.

Some generated files are not rendered by default. Learn more.

@@ -1,5 +1,5 @@
/**
* plotly.js (geo) v1.42.4
* plotly.js (geo) v1.42.5
* Copyright 2012-2018, Plotly, Inc.
* All rights reserved.
* Licensed under the MIT license
'use strict';

// package version injected by `npm run preprocess`
exports.version = '1.42.4';
exports.version = '1.42.5';

// inject promise polyfill
_dereq_('es6-promise').polyfill();

Large diffs are not rendered by default.

@@ -1,5 +1,5 @@
/**
* plotly.js (gl2d) v1.42.4
* plotly.js (gl2d) v1.42.5
* Copyright 2012-2018, Plotly, Inc.
* All rights reserved.
* Licensed under the MIT license
'use strict';

// package version injected by `npm run preprocess`
exports.version = '1.42.4';
exports.version = '1.42.5';

// inject promise polyfill
_dereq_('es6-promise').polyfill();
// For graphs with very large number of points and array marker.size,
// use average marker size instead to speed things up.
setFirstScatter(fullLayout, trace);
var ppad = len < TOO_MANY_POINTS ?
calcMarkerSize(trace, len) :
2 * (opts.marker.sizeAvg || Math.max(opts.marker.size, 3));
var ppad;
if(len < TOO_MANY_POINTS) {
ppad = calcMarkerSize(trace, len);
} else if(opts.marker) {
ppad = 2 * (opts.marker.sizeAvg || Math.max(opts.marker.size, 3));
}
calcAxisExpansion(gd, trace, xa, ya, x, y, ppad);
if(opts.errorX) expandForErrorBars(trace, xa, opts.errorX);
if(opts.errorY) expandForErrorBars(trace, ya, opts.errorY);

Large diffs are not rendered by default.

@@ -1,5 +1,5 @@
/**
* plotly.js (gl3d) v1.42.4
* plotly.js (gl3d) v1.42.5
* Copyright 2012-2018, Plotly, Inc.
* All rights reserved.
* Licensed under the MIT license
'use strict';

// package version injected by `npm run preprocess`
exports.version = '1.42.4';
exports.version = '1.42.5';

// inject promise polyfill
_dereq_('es6-promise').polyfill();

Large diffs are not rendered by default.

@@ -1,5 +1,5 @@
/**
* plotly.js (mapbox) v1.42.4
* plotly.js (mapbox) v1.42.5
* Copyright 2012-2018, Plotly, Inc.
* All rights reserved.
* Licensed under the MIT license
'use strict';

// package version injected by `npm run preprocess`
exports.version = '1.42.4';
exports.version = '1.42.5';

// inject promise polyfill
_dereq_('es6-promise').polyfill();

Large diffs are not rendered by default.

@@ -1,5 +1,5 @@
/**
* plotly.js v1.42.4
* plotly.js v1.42.5
* Copyright 2012-2018, Plotly, Inc.
* All rights reserved.
* Licensed under the MIT license
'use strict';

// package version injected by `npm run preprocess`
exports.version = '1.42.4';
exports.version = '1.42.5';

// inject promise polyfill
_dereq_('es6-promise').polyfill();
// For graphs with very large number of points and array marker.size,
// use average marker size instead to speed things up.
setFirstScatter(fullLayout, trace);
var ppad = len < TOO_MANY_POINTS ?
calcMarkerSize(trace, len) :
2 * (opts.marker.sizeAvg || Math.max(opts.marker.size, 3));
var ppad;
if(len < TOO_MANY_POINTS) {
ppad = calcMarkerSize(trace, len);
} else if(opts.marker) {
ppad = 2 * (opts.marker.sizeAvg || Math.max(opts.marker.size, 3));
}
calcAxisExpansion(gd, trace, xa, ya, x, y, ppad);
if(opts.errorX) expandForErrorBars(trace, xa, opts.errorX);
if(opts.errorY) expandForErrorBars(trace, ya, opts.errorY);

// For graphs with very large number of points and array marker.size,
// use average marker size instead to speed things up.
var ppad = len < TOO_MANY_POINTS ?
calcMarkerSize(trace, len) :
2 * (opts.marker.sizeAvg || Math.max(opts.marker.size, 3));
var ppad;
if(len < TOO_MANY_POINTS) {
ppad = calcMarkerSize(trace, len);
} else if(opts.marker) {
ppad = 2 * (opts.marker.sizeAvg || Math.max(opts.marker.size, 3));
}
trace._extremes.x = Axes.findExtremes(radialAxis, rArray, {ppad: ppad});

return [{x: false, y: false, t: stash, trace: trace}];
@@ -1,5 +1,5 @@
/**
* plotly.js v1.42.4
* plotly.js v1.42.5
* Copyright 2012-2018, Plotly, Inc.
* All rights reserved.
* Licensed under the MIT license
'use strict';

// package version injected by `npm run preprocess`
exports.version = '1.42.4';
exports.version = '1.42.5';

// inject promise polyfill
_dereq_('es6-promise').polyfill();
// For graphs with very large number of points and array marker.size,
// use average marker size instead to speed things up.
setFirstScatter(fullLayout, trace);
var ppad = len < TOO_MANY_POINTS ?
calcMarkerSize(trace, len) :
2 * (opts.marker.sizeAvg || Math.max(opts.marker.size, 3));
var ppad;
if(len < TOO_MANY_POINTS) {
ppad = calcMarkerSize(trace, len);
} else if(opts.marker) {
ppad = 2 * (opts.marker.sizeAvg || Math.max(opts.marker.size, 3));
}
calcAxisExpansion(gd, trace, xa, ya, x, y, ppad);
if(opts.errorX) expandForErrorBars(trace, xa, opts.errorX);
if(opts.errorY) expandForErrorBars(trace, ya, opts.errorY);

// For graphs with very large number of points and array marker.size,
// use average marker size instead to speed things up.
var ppad = len < TOO_MANY_POINTS ?
calcMarkerSize(trace, len) :
2 * (opts.marker.sizeAvg || Math.max(opts.marker.size, 3));
var ppad;
if(len < TOO_MANY_POINTS) {
ppad = calcMarkerSize(trace, len);
} else if(opts.marker) {
ppad = 2 * (opts.marker.sizeAvg || Math.max(opts.marker.size, 3));
}
trace._extremes.x = Axes.findExtremes(radialAxis, rArray, {ppad: ppad});

return [{x: false, y: false, t: stash, trace: trace}];

Large diffs are not rendered by default.

Some generated files are not rendered by default. Learn more.

@@ -1,6 +1,6 @@
{
"name": "plotly.js",
"version": "1.42.4",
"version": "1.42.5",
"description": "The open source javascript graphing library that powers plotly",
"license": "MIT",
"main": "./lib/index.js",
@@ -12,6 +12,6 @@ var saneTopojson = require('sane-topojson');


// package version injected by `npm run preprocess`
exports.version = '1.42.4';
exports.version = '1.42.5';

exports.topojson = saneTopojson;
@@ -9,7 +9,7 @@
'use strict';

// package version injected by `npm run preprocess`
exports.version = '1.42.4';
exports.version = '1.42.5';

// inject promise polyfill
require('es6-promise').polyfill();

0 comments on commit 8fed2cc

Please sign in to comment.
You can’t perform that action at this time.